package com.kaixed.kchat.view.activity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import com.kaixed.kchat.R;
import com.kaixed.kchat.databinding.ActivityChatDetailBinding;

public class ChatDetailActivity extends AppCompatActivity {

    private ActivityChatDetailBinding binding;
    private final Context mContext = this;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        binding = ActivityChatDetailBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        binding.ifvAvatar.setOnClickListener(v -> {
            Intent intent = new Intent(mContext, ContactsDetailActivity.class);
            intent.putExtra("friendId", "kaixed");
            startActivity(intent);
        });

        binding.ivBack.setOnClickListener(v -> {
            finish();
        });
    }
}